/**
 * Svelte action to initialize semantic checkbox component.
 * @module components/use-checkbox
 */
export interface CheckboxSettings {
    [key: string]: unknown;
}
export declare const checkboxDefaults: CheckboxSettings;
/** Svelte action to initialize Semantic UI Checkbox component.
 *
 * https://semantic-ui.com/modules/checkbox.html
 *
 * Bind directly to the input ```bind:checked```.
 *
 * Example:
```
    <div class="ui checkbox" use:checkbox>
        <input type="checkbox" id="ch" bind:checked={agree} />
        <label for="ch">Agree to terms and Conditions</label>
    </div>
```
*/
export declare function checkbox(node: Element, settings?: CheckboxSettings): void;
