/**
 * Svelte action to initialize fomantic slider component.
 * @module components/use-slider
 */
import type { ActionReturnType } from "../data/common";
export interface SliderSettings {
    [key: string]: unknown;
}
export declare const sliderDefaults: SliderSettings;
/**
 * Initializes Fomantic UI Slider componenet. Takes settings object as argument.
 *
 * https://fomantic-ui.com/modules/slider.html
 *
 * Bing using `<Data bind:value` inside the component tag.
 *
 * Example:
```
    <div class="ui labeled ticked slider" use:slider={{ min: 0, max: 10 }}>
        <Data bind:value={num} />
    </div>
```
*/
export declare function slider(node: Element, settings?: SliderSettings): ActionReturnType;
